

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>分销登录</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link type="text/css" href='//2ms.faisys.com/css/dist/styles/base.min.css?v=202403071601' rel="stylesheet" />
<link type="text/css" href='//2ms.faisys.com/css/dist/styles/dist.min.css?v=202403061319' rel="stylesheet" />
<script type="text/javascript" src="//1ms.faisys.com/js/comm/jquery/jquery-core.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/comm/jquery/jquery-ui-core.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/comm/fai.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/dist/libs/comMethods.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/dist/site.min.js?v=202403071601"></script>

<script type="text/javascript">
var _isManageMode = false;

$(function(){
	showPage(1);

	$("#J_btn").click(function(){
		showPage(2);
	});

	$(".J_agreeLabel").click(function(event){
		var classname = $(".J_agreeLabel span").attr("class");
		if(classname.indexOf("icon-checkIcon")>-1){
			classname = "icon-uncheckIcon";
		}else if(classname.indexOf("icon-uncheckIcon")>-1){
			classname = "icon-checkIcon";
		}
		$($(".J_agreeLabel span")).removeClass("icon-uncheckIcon icon-checkIcon");
		$($(".J_agreeLabel span")).addClass(classname);
	});

	
	$("#J_showProtocol").click(function(e){
		$("#J_protocolContainer").show();
		stopPropagation(e);
	});
	$("#J_protocolBtn").click(function(){
		$("#J_protocolContainer").hide();
	});

	$(".propTxt").each(function(i,n){
		var tmpFk = $(this).parent(".item").attr("_fk") || "";
		if(tmpFk=="mobile"){
			$(this).attr("maxlength",11);
		}else{
			$(this).attr("maxlength",50);
		}
	});
});

Date.prototype.format = function(formatStr){
	var str = formatStr;
	var Week = ['日','一','二','三','四','五','六'];

	str=str.replace(/yyyy|YYYY/,this.getFullYear());
	str=str.replace(/yy|YY/,(this.getYear() % 100)>9?(this.getYear() % 100).toString():'0' + (this.getYear() % 100));

	var month = this.getMonth()+1;
	str=str.replace(/MM/,month>9?month.toString():'0' + month);
	str=str.replace(/M/g,month);

	str=str.replace(/w|W/g,Week[this.getDay()]);

	str=str.replace(/dd|DD/,this.getDate()>9?this.getDate().toString():'0' + this.getDate());
	str=str.replace(/d|D/g,this.getDate());

	str=str.replace(/hh|HH/,this.getHours()>9?this.getHours().toString():'0' + this.getHours());
	str=str.replace(/h|H/g,this.getHours());
	str=str.replace(/mm/,this.getMinutes()>9?this.getMinutes().toString():'0' + this.getMinutes());
	str=str.replace(/m/g,this.getMinutes());

	str=str.replace(/ss|SS/,this.getSeconds()>9?this.getSeconds().toString():'0' + this.getSeconds());
	str=str.replace(/s|S/g,this.getSeconds());

	return str;
}

/**
*type---1:二维码页，2:申请页,3：申请成功页
**/
function showPage(type){
	if(type==1){
		$("#J_codePage").show();
		$("#J_applyPage").hide();
		$("#J_applySuccess").hide();
		$("body").removeClass("bodyClass2");
		$("body").addClass("bodyClass1");
	}else if(type==2){
		$("#J_applySuccess").hide();
		$("#J_codePage").hide();
		$("#J_applyPage").show();
		$("body").removeClass("bodyClass1");
		$("body").addClass("bodyClass2");
	}else if(type==3){
		$("#J_applySuccess").show();
		$("#J_codePage").hide();
		$("#J_applyPage").hide();
		$("body").removeClass("bodyClass1");
		$("body").addClass("bodyClass2");
	}
}

var saveLock = false;
function save(){
	if(_isManageMode){
		Fai.ing("当前为管理态，不可提交申请");
		return;
	}
	if(saveLock){
		return;
	}
	saveLock = true;
	var signupData = {};
	var isReturn = false;
	$("#J_applyPage").find(".item").each(function(i,n){
		var isRequire = !($(n).find(".required").hasClass("hide"));
		var name = $(n).find(".propName").html() || "";
		var val = $(n).find(".J_propVal").val() || "";
		var fk = $(n).attr("_fk") || "";

		if(name.indexOf("：") == name.length-1){
			name = name.substring(0,name.length-1);
		}
		if(isRequire && val==""){
			Fai.ing("“"+name+"”不能为空");
			isReturn = true;
			return false;
		}
		if(fk=="name"){
			if(!isNaN(val)){
				Fai.ing("“"+name+"”不能为纯数字");
				isReturn = true;
				return false;
			}
		}

		if(fk=="email"){
			if(!Fai.isEmail(val)){
				Fai.ing("请输入格式正确的“"+name+"”");
				isReturn = true;
				return false;
			}
		}
		if(fk=="mobile"){
			if(!Fai.isMobile(val)){
				Fai.ing("请输入格式正确的“"+name+"”");
				isReturn = true;
				return false;
			}
		}

		signupData[fk] = val;
	});
	if(!$('#agreeCheck').is(':checked')){
		Fai.ing("请勾选服务协议");
		isReturn = true;
	}

	signupData["validateCode"] = $(".captchaTxt").val()||"";

	if(isReturn){
		saveLock = false;
		return;
	}

	$.ajax({
		type : 'post',
		url  : 'ajax/dist_h.jsp?cmd=addWafCk_signup',
		data : 'info=' + Fai.encodeUrl( $.toJSON(signupData) ),
		error: function(){
			Fai.ing("系统错误，请稍后重试...");
		},
		success:function(result){
			result = $.parseJSON(result);
			if(result.success){
				showPage(3);
				$("#J_applyPage").find(".item .J_propVal").val("");
				$("#J_applySuccess").find(".leftDate").html(new Date().format("yyyy/MM/dd HH:mm"));
			} else if(result.needCode){
				Fai.ing(result.msg);
				$(".captchaItem").show();
			} else {
				Fai.ing(result.msg);
			}
			saveLock = false;
		}
	});
}

function stopPropagation(evt){
	var e=(evt)?evt:window.event;
	 if (window.event) {
		e.cancelBubble=true;// ie下阻止冒泡
	} else {
		e.stopPropagation();// 其它浏览器下阻止冒泡
	}
}
</script>
</head>
<body>
	<!-- 扫二维码页 -->
	<div class="codePage" id="J_codePage">
		<div class="qrCode"><img src="/qrCode.jsp?cmd=distQR&_s=800&_t=1" width="224px" height="224px"></div>
		<div class="txt">请扫描二维码，在手机管理您的分销商</div>
		<div class="btn" id="J_btn">申请成为分销商</div>
	</div>

	<!-- 申请页 -->
	<div class="applyPage" id="J_applyPage">
		<div class="title">申请成为分销商</div>
		<div class="content">
			
						<div class="item" _fk="name">
							<span class="propName" title="姓名">姓名：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="请输入姓名"/>
							
							<span class="required ">*</span>
						</div>
			
						<div class="item" _fk="email">
							<span class="propName" title="邮箱">邮箱：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="请输入邮箱"/>
							
							<span class="required ">*</span>
						</div>
			
						<div class="item" _fk="mobile">
							<span class="propName" title="手机">手机：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="请输入手机"/>
							
							<span class="required ">*</span>
						</div>
			
						<div class="item" _fk="prop0">
							<span class="propName" title="申请理由">申请理由：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="可以简单描述自己的优势和渠道"/>
							
							<span class="required ">*</span>
						</div>
			

			<div class="captchaItem">
				<span class="propName">验证码：</span>
				<input type="text" class="captchaTxt" placeholder="请输入验证码"/>
				<img src="/validateCode.jsp?v=1458.3591576574518">
			</div>

			<div class="agreeBox">
				<input type="checkbox" id="agreeCheck" class="agreeCheck"/>
				<label for="agreeCheck" class="agreeLabel J_agreeLabel">
					<span class="checkIcon icon-uncheckIcon"></span>
					我已阅读并接受
				</label>
				<a id="J_showProtocol">“分销协议”</a>
			</div>

			<div class="applyBtn" onclick="save()">申请成为分销商</div>
		</div>
	</div>

	<!-- 申请成功页 -->
	<div class="applySuccess" id="J_applySuccess">
		<div class="txt">恭喜,你的申请已提交</div>
		<div class="pic"></div>
		<div class="statusTxt">
			<div class="left">
				<div class="leftTxt">申请提交成功</div>
				<div class="leftDate">2016/06/06 16:30</div>
			</div>
			<div class="right">等待审核</div>
		</div>
	</div>

	<!-- 服务协议弹层 -->
	<div class="protocolContainer" id="J_protocolContainer">
		<div class="protocolBox">
			<div class="head">分销协议</div>
			<div class="content">
				<p>甲方：凡亿教育</p><p>乙方：</p><p>甲方为了更好的拓展视频学习客户市场，更好的将PCB视频实战课程产品推销到校园及企业市场，甲方在中国各大城市及大中专院校开发视频分销商。甲乙双方本着友好合作，互惠互利的态度，经过认真协商，共同达成如下合同条款：<br>一、甲乙双方经过友好协商，甲方同意乙方成为甲方的校（市）分销商，为符合凡亿分销政策更新，暂定合同期限为1年，合同期内甲方未经乙方允许，不得在该市设立除乙方的分销商（在合同签订之日之前所签订的分销商除外）本合同所涉及到的币种均为人民币。<br>二、甲乙双方合作方式：<br>（1）线上网站分销模式：甲方为乙方制作专用分销链接（二维码）；乙方利用自己现有学校/网站/客户资源以及销售人员与销售网络的优势，开展甲方业务的销售工作。<br>（2）所有来自乙方线上服务的客户给甲方所缴纳的费用，合同期内乙方均可获得销售额（需剔除快递费所产生的费用）的对应比例的提成。&nbsp;（3）乙方分销加盟后，甲方将授权给乙方一个网站分销商账号，乙方用来查看通过乙方网站进入甲方的客户资料（免费会员和缴费会员以及单纯浏览者的信息），这些客户的缴费情况以及乙方自己的利润分配，可以按年月日进行查阅。分销商帐号也可用来监督和管理自己下属销售代表的销售情况和客户资料及客户的缴费情况，以及乙方自己的年度/季度/月份销售额度的完成情况和应分得的利润级别与利润收入。<br>（4）该帐号的ID和密码由乙方妥善保管和使用，不可以任意转给第三方。否则所发生的任何后果，均由乙方自行负责。<br>三、乙方作为甲方的视频分销商，将承担起在当地的一切开支，包括但不限于办公室的租用/人员的工资/广告费用/会议费用等等。乙方对其销售代表的工资和奖励待遇的制定以及具体发放的时间，由乙方自行制定。如果乙方与乙方销售代表之间出现任何包括但不限于劳务/经济/法律纠纷，均由乙方自行负责，甲方将不承担任何责任。<br>四、乙方可以以甲方分销商的名义在中国开展甲方所有的分销业务，所有的销售活动均须符合中国当地政府的有关法律法规，否则引起的一切法律后果均由乙方自负。<br>五、甲方会定期地以电子邮件的方式给乙方发送新的培训资料和最新信息，以方便乙方更好地培训销售代表和对客户的开发。<br>六、乙方对销售员的培训和对客户的开发和讲解，必须本着甲方的培训材料和网上资料进行，不得有任何欺骗客户的行为，如果因乙方的销售误导而引起的一切经济与法律纠纷，均由乙方自负。乙方也不可以作出任何对甲方不利的宣传和误导，如果有任何伤害甲方利益的行为发生，甲方有权立即停止乙方分销商的权利，同时对甲方所造成的包括但不限于伤害/损害/损失/经济纠纷/法律纠纷等，均由乙方承担。<br>六、付款方式<br>（1）甲方将按照每个月双方的线上合作销售额度及当月应得的分配比例按月向乙方发放。汇出的日期为次月的前10个工作日之内。<br>（2）甲方将按照乙方提供银行资料、微信支付、支付宝等向乙方汇出线上利润。<br>（3）银行帐号如有变动，应及时电话通知对方，并寄出盖有公章的书面帐号更改通知书。<br>七、乙方不得擅自向任何第三方兜售甲方客户信息，也不可以利用甲方的客户信息作其他非法用途。<br>八、本合同到期之前的一个月内，甲乙双方将探讨是否延续下一年度的分销商合同之事宜。<br>九、如果乙方在本合同到期之日期没有与甲方续签合同或于本合同期因包括以上违反上述条款等因素被甲方取消了网站分销商的权利时，甲方将停止乙方的网站分销商账号，同时，乙方也必须按照本合同之要求停止所有的销售活动。否则引起的一切法律后果均由乙方自负。同时，乙方网站分销商权利被取消之日起，客户向甲方新交纳的会员费/广告费等费用，均与乙方无关。<br>十、如果有违反或违背此协议的情况出现，由甲乙当地的城市或地区的仲裁机构进行仲裁，所发生的一切费用由败诉一方承担。<br>十一、本合同在执行期间，如有增加或删改的条款，经双方协商同意后以修改后的为准。<br>十二、本合同一经签署立即生效，对甲乙双方均具有同等的法律责任。<br>十三、本合同一式二份，甲乙双方各执一份。</p>
			</div>
			<div class="btn" id="J_protocolBtn">确定</div>
		</div>
	</div>
</body>
</html>